MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028920Open CASCADE[OCCT] OCCT:Samplespublic2017-07-18 07:322017-09-29 16:29
Reporterkgv 
Assigned Tobugmaster 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028920: Samples - fix msvc.bat for building samples without CMake
Description0028769 improvement has broken starting VS projects in case if OCCT has been built using genproj.bat (not CMake).

The reason is that DevEnvDir has been removed from msvc.bat for samples, but was not added to env.bat of OCCT itself.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0028769closedbugmaster Unification of msvc.bat files. 

-  Notes
(0068450)
git (administrator)
2017-07-19 18:34

Branch CR28920 has been created by apn.

SHA-1: 44a276f37ee6b9ec58008f9b4c64ff0e2af93c0a


Detailed log of new commits:

Author: apn
Date: Wed Jul 19 18:34:09 2017 +0300

    0028920: Samples - fix msvc.bat for building samples without CMake
    
    Added DevEnvDir to env.bat.
(0068452)
kgv (developer)
2017-07-19 18:57

Please also make msvc.bat within Samples consistent to msvc.bat for OCCT itself.
E.g. specify window title to "start" directly to avoid issues (on my computer msvc.bat in Samples starts VS2017 instead of VS2015).

samples/mfc/standard/msvc.bat:
  11 rem Launch Visual Studio - either professional (devenv) or Express, as available
  12 if exist "%DevEnvDir%\devenv.exe"  (
  13   start "%DevEnvDir%\devenv.exe" "%PRJFILE%"
  14 ) else if exist "%DevEnvDir%\%VisualStudioExpressName%.exe"  (
  15   start "%DevEnvDir%\%VisualStudioExpressName%.exe" "%PRJFILE%"
  16 ) else (
  17   echo Error: Could not find MS Visual Studio ^(%VCFMT%^)
  18   echo Check relevant environment variable ^(e.g. VS100COMNTOOLS for vc10^)
  19 )


adm/templates/msvc.bat:
  42 rem Launch Visual Studio - either professional (devenv) or Express, as available
  43 if exist "%DevEnvDir%\devenv.exe"  (
  44   start "" "%DevEnvDir%\devenv.exe" "%PRJFILE%"
  45 ) else if exist "%DevEnvDir%\%VisualStudioExpressName%.exe"  (
  46   start "" "%DevEnvDir%\%VisualStudioExpressName%.exe" "%PRJFILE%"
  
47 ) else (
(0068479)
git (administrator)
2017-07-20 11:50

Branch CR28920 has been updated forcibly by apn.

SHA-1: 82d2d3284392e45faa6d16a01cd23f566dd6ea6f
(0068480)
apn (administrator)
2017-07-20 11:53

Dear kgv, could you please review CR28920.
(0068493)
kgv (developer)
2017-07-20 13:11

--- a/samples/mfc/standard/msvc.bat
+++ b/samples/mfc/standard/msvc.bat

The remark was for all "msvc.bat" files, not only for particular msvc.bat in MFC samples.
(0068496)
git (administrator)
2017-07-20 13:53

Branch CR28920 has been updated forcibly by apn.

SHA-1: c116a70c733c262c4cedf403e4b6f410a8f6b239
(0068547)
kgv (developer)
2017-07-21 13:49

As DevEnvDir is set within adm/templates/env.bat, the duplicating code should be removed from adm/templates/msvc.bat
(0068599)
git (administrator)
2017-07-21 17:57

Branch CR28920 has been updated forcibly by apn.

SHA-1: b347675d5e72f5150d5806f5b065f38a337ad412
(0068602)
apn (administrator)
2017-07-21 18:04

Remarks were applied and all "msvc.bat" files were corrected. Dear kgv, could you please review occt and products branches CR28920.
(0068612)
kgv (developer)
2017-07-21 20:10

Patch looks OK (supposing that all modified samples have been actually checked).
(0068633)
apn (administrator)
2017-07-24 16:57

Please check only compilation, testing is not required.
(0068635)
git (administrator)
2017-07-24 17:17

Branch CR28920 has been updated forcibly by apv.

SHA-1: b2150b7cc6888cf359aef365d91303f63d74d5f1
(0068637)
apv (tester)
2017-07-24 17:18

Branches CR28920 from occt and products git-repositories have been rebased on the current masters.
(0068645)
apv (tester)
2017-07-24 18:25

Dear BugMaster,

Branch CR28920 from occt git-repository (and CR28920 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: b2150b7cc6888cf359aef365d91303f63d74d5f1
SHA-1: 4bd8c48f71086af0e65c56fb05d3173dc4929ff3

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 8 (8 on master)
   Windows: 0 (0 on master)
   MacOS: 2 (2 on master)
(0068646)
apv (tester)
2017-07-24 18:26

Dear BugMaster,

Please integrate branch CR28920 into the occt git-repository master.
Please integrate branch CR28920 into the products git-repository master.
(0068957)
git (administrator)
2017-07-31 17:46

Branch CR28920 has been deleted by kgv.

SHA-1: b2150b7cc6888cf359aef365d91303f63d74d5f1

- Related Changesets
occt: master 48691eaa
Timestamp: 2017-07-19 15:34:09
Author: apn
Committer: bugmaster
Details ] Diff ]
0028920: Samples - fix msvc.bat for building samples without CMake

Added DevEnvDir to env.bat.
Added window title to "start" command in msvc.bat files.
mod - adm/templates/env.bat Diff ] File ]
mod - adm/templates/msvc.bat Diff ] File ]
mod - samples/CSharp/msvc.bat Diff ] File ]
mod - samples/CSharp/msvc_D3D.bat Diff ] File ]
mod - samples/mfc/standard/msvc.bat Diff ] File ]
mod - samples/qt/FuncDemo/msvc.bat Diff ] File ]
mod - samples/qt/IESample/msvc.bat Diff ] File ]
mod - samples/qt/Tutorial/msvc.bat Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-07-18 07:32 kgv New Issue
2017-07-18 07:32 kgv Assigned To => apn
2017-07-18 07:32 kgv Relationship added child of 0028769
2017-07-18 07:33 kgv Priority normal => high
2017-07-18 07:33 kgv Severity minor => major
2017-07-19 18:34 git Note Added: 0068450
2017-07-19 18:57 kgv Note Added: 0068452
2017-07-20 11:50 git Note Added: 0068479
2017-07-20 11:53 apn Note Added: 0068480
2017-07-20 11:53 apn Test case number => Not needed
2017-07-20 11:53 apn Assigned To apn => kgv
2017-07-20 11:53 apn Status new => resolved
2017-07-20 13:11 kgv Note Added: 0068493
2017-07-20 13:11 kgv Assigned To kgv => apn
2017-07-20 13:11 kgv Status resolved => assigned
2017-07-20 13:53 git Note Added: 0068496
2017-07-21 13:49 kgv Note Added: 0068547
2017-07-21 17:57 git Note Added: 0068599
2017-07-21 18:04 apn Note Added: 0068602
2017-07-21 18:04 apn Assigned To apn => kgv
2017-07-21 18:04 apn Status assigned => resolved
2017-07-21 20:10 kgv Note Added: 0068612
2017-07-21 20:10 kgv Assigned To kgv => bugmaster
2017-07-21 20:10 kgv Status resolved => reviewed
2017-07-24 16:54 apv Assigned To bugmaster => apv
2017-07-24 16:57 apn Note Added: 0068633
2017-07-24 17:17 git Note Added: 0068635
2017-07-24 17:18 apv Note Added: 0068637
2017-07-24 18:25 apv Note Added: 0068645
2017-07-24 18:25 apv Assigned To apv => bugmaster
2017-07-24 18:25 apv Status reviewed => tested
2017-07-24 18:26 apv Note Added: 0068646
2017-07-28 17:18 bugmaster Changeset attached => occt master 48691eaa
2017-07-28 17:18 bugmaster Status tested => verified
2017-07-28 17:18 bugmaster Resolution open => fixed
2017-07-31 17:46 git Note Added: 0068957
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker